Summary: Cairo Clock to display the time around the world
Name: tzclock
Version: 4.7
Release: 1%{?dist}
License: GPLv3+
URL: https://www.theknight.co.uk/
Packager: Chris Knight <chris@theknight.co.uk>
Group: Applications/Productivity
Source: https://www.theknight.co.uk/releases/source/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pkgconfig desktop-file-utils gcc pango-devel gtk3-devel libnotify-devel
BuildRequires: libdial libdial-devel

%description
GTK/Cairo Clock that can display the time around the world.  It supports 
multiple faces showing different time zones.  There is also a stopwatch 
that is accurate to a tenth of a second.  Plus many other nice features
for you to discover.

%prep
%setup -q

%build
%if 0%{?mageia}
%configure2_5x
%else
%configure 
%endif
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/metainfo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 755 tzclock $RPM_BUILD_ROOT%{_bindir}/tzclock
install -p -m 644 icons/scalable/tzclock.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/tzclock.svg
install -p -m 644 icons/128x128/tzclock.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/tzclock.png
install -p -m 644 icons/48x48/tzclock.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/tzclock.png
install -p -m 644 tzclock.man $RPM_BUILD_ROOT%{_mandir}/man1/tzclock.1
install -p -m 644 uk.co.theknight.timezone_clock.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/metainfo/uk.co.theknight.timezone_clock.metainfo.xml
desktop-file-install --vendor="" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications tzclock.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/tzclock
%{_datadir}/applications/tzclock.desktop
%{_datadir}/metainfo/uk.co.theknight.timezone_clock.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/tzclock.svg
%{_datadir}/icons/hicolor/128x128/apps/tzclock.png
%{_datadir}/icons/hicolor/48x48/apps/tzclock.png
%{_mandir}/man1/tzclock.1.*

%doc COPYING AUTHORS

%changelog
* Wed Mar 22 2023 Chris Knight <chris@theknight.co.uk> 4.7-1
- Fixes and changes for newer Linux versions.

* Mon Jan 01 2018 Chris Knight <chris@theknight.co.uk> 3.1.7-1
- New release with support for Fedora 27 and ubuntu 17.10.

* Tue May 19 2015 Chris Knight <chris@theknight.co.uk> 3.0.6-1
- Fixed build problems with the latest GTK/GDK APIs.

* Fri May 2 2014 Chris Knight <chris@theknight.co.uk> 3.0.5-1
- Fixed problems with the ocean time zones.

* Sun Dec 29 2013 Chris Knight <chris@theknight.co.uk> 3.0.4-1
- Compile clean on Fedora 20, added gradient to face.

* Thu Nov 15 2012 Chris Knight <chris@theknight.co.uk> 3.0.3-1
- Under GTK3 support the GdkRGBA colour system.

* Wed Jun 20 2012 Chris Knight <chris@theknight.co.uk> 3.0.2-1
- Back port to GTK2 and markered text for translation.

* Thu Nov 17 2011 Chris Knight <chris@theknight.co.uk> 3.0.1-1
- Lots of work porting to GTK3 for Gnome 3 desktops.

* Wed Feb 24 2010 Chris Knight <chris@theknight.co.uk> 2.7.7-1
- Bug fix with GMT offsets and Alarm when no second hand is shown.

* Wed Nov 11 2009 Chris Knight <chris@theknight.co.uk> 2.7.6-1
- Added new clock hand styles available from the command line.

* Wed Jul 22 2009 Chris Knight <chris@theknight.co.uk> 2.7.5-1
- Added colour config and alarm command execute.

* Wed Feb 25 2009 Chris Knight <chris@theknight.co.uk> 2.7.4-1
- Ready for release on new distros, some performance gains.

* Thu Nov 13 2008 Chris Knight <chris@theknight.co.uk> 2.7.3-3
- Changes to help the suse build system, only build Cairo Clock.

* Thu Nov 6 2008 Chris Knight <chris@theknight.co.uk> 2.7.3-2
- Fixes to the spec file.

* Tue Sep 23 2008 Chris Knight <chris@theknight.co.uk> 2.7.3-1
- Bug fixing.

* Fri Sep 12 2008 Chris Knight <chris@theknight.co.uk> 2.7.2-2
- Font sizing and numbers on the face.

* Fri May 16 2008 Chris Knight <chris@theknight.co.uk> 2.7.1-1
- Added a save preferences option.

* Fri Apr 11 2008 Chris Knight <chris@theknight.co.uk> 2.6.1-2
- Fixed a few warnings.

* Thu Apr 10 2008 Chris Knight <chris@theknight.co.uk> 2.6.1-1
- Read zone.tab and use pango to display the text.

* Tue Dec 11 2007 Chris Knight <chris@theknight.co.uk> 2.5.6-1
- Small fix to man page and new timezone information.

* Mon Oct 29 2007 Chris Knight <chris@theknight.co.uk> 2.5.5-1
- Prepare a new build, removed tool tips.

* Mon Oct 1 2007 Chris Knight <chris@theknight.co.uk> 2.5.4-5
- Packaging fixes, preserve dates, vendor fedora, default attr.

* Mon Oct 1 2007 Chris Knight <chris@theknight.co.uk> 2.5.4-4
- Changed Makefile.am to put the defines into the *_CPPFLAGS.

* Sun Sep 30 2007 Chris Knight <chris@theknight.co.uk> 2.5.4-3
- Removed the -s from the TzClock install so that debuginfo is generated.

* Fri Sep 28 2007 Chris Knight <chris@theknight.co.uk> 2.5.4-2
- Fixed comments in the source files to reflect GPLv2 Licence.

* Wed Sep 19 2007 Chris Knight <chris@theknight.co.uk> 2.5.4-1
- Bug fixes before a new release, including changes to the about page.

* Mon Sep 10 2007 Chris Knight <chris@theknight.co.uk> 2.5.3-6
- Changed the script to build different version for each distro.

* Fri Sep 07 2007 Chris Knight <chris@theknight.co.uk> 2.5.3-5
- Added a man file to help with the command line options.

* Thu Sep 06 2007 Chris Knight <chris@theknight.co.uk> 2.5.3-4
- Removed unnecessary macros from spec file

* Wed Sep 05 2007 Chris Knight <chris@theknight.co.uk> 2.5.3-3
- Add a TzClock.desktop and a TzClock.svg

* Wed Sep 05 2007 Chris Knight <chris@theknight.co.uk> 2.5.3-2
- Made suggested changes to the spec file
